# -*- coding: UTF-8 -*-

SCENE_AUTO_STANDBY = 64
SCENE_PANIC = 65
SCENE_ENERGY_OVERLOAD = 66
SCENE_STANDBY = 67
SCENE_DEEP_OFF = 68
SCENE_SLEEPING = 69
SCENE_WAKEUP = 70
SCENE_PRESENT = 71
SCENE_ABSENT = 72
SCENE_DOOR_BELL = 73
SCENE_ALARM_1 = 74
SCENE_ROOM_WAKEUP = 75
SCENE_FIRE = 76
SCENE_ALARM_2 = 83
SCENE_ALARM_3 = 84
SCENE_ALARM_4 = 85
SCENE_WIND = 86
SCENE_NO_WIND = 87
SCENE_RAIN = 88
SCENE_NO_RAIN = 89
SCENE_HAIL = 90
SCENE_NO_HAIL = 91

SCENE_NAMES = {
    SCENE_AUTO_STANDBY: 'AUTO_STANDBY',
    SCENE_PANIC: 'PANIC',
    SCENE_ENERGY_OVERLOAD: 'ENERGY_OVERLOAD',
    SCENE_STANDBY: 'STANDBY',
    SCENE_DEEP_OFF: 'DEEP_OFF',
    SCENE_SLEEPING: 'SLEEPING',
    SCENE_WAKEUP: 'WAKEUP',
    SCENE_PRESENT: 'PRESENT',
    SCENE_ABSENT: 'ABSENT',
    SCENE_DOOR_BELL: 'DOOR_BELL',
    SCENE_FIRE: 'FIRE',
    SCENE_ALARM_1: 'ALARM_SIGNAL_1',
    SCENE_ROOM_WAKEUP: 'ROOM_WAKEUP',
    SCENE_ALARM_2: 'ALARM_SIGNAL_2',
    SCENE_ALARM_3: 'ALARM_SIGNAL_3',
    SCENE_ALARM_4: 'ALARM_SIGNAL_4',
    SCENE_WIND: 'WIND',
    SCENE_NO_WIND: 'NO_WIND',
    SCENE_RAIN: 'RAIN',
    SCENE_NO_RAIN: 'NO_RAIN',
    SCENE_HAIL: 'HAIL',
    SCENE_NO_HAIL: 'NO_HAIL',
}

GROUP_ACTION = 0
GROUP_LIGHT = 1
GROUP_SHADE = 2
GROUP_CLIMATE = 3
GROUP_AUDIO = 4
GROUP_VIDEO = 5
GROUP_JOKER = 8
GROUP_MAX_GROUP = 9
GROUP_ROOM_VENTILATION = 10
GROUP_WINDOW = 11
GROUP_ROOM_AIR_RECIRCULATION = 12
GROUP_TEMPERATURE_CONTROL = 48
GROUP_APARTMENT_VENTILATION = 64
GROUP_VDC = 9999

GROUP_NAMES = {
    GROUP_ACTION: 'ACTION',
    GROUP_LIGHT: 'LIGHT',
    GROUP_SHADE: 'SHADE',
    GROUP_CLIMATE: 'CLIMATE',
    GROUP_AUDIO: 'AUDIO',
    GROUP_VIDEO: 'VIDEO',
    GROUP_JOKER: 'JOKER',
    GROUP_MAX_GROUP: 'MAX_GROUP',
    GROUP_ROOM_VENTILATION: 'ROOM_VENTILATION',
    GROUP_WINDOW: 'WINDOW',
    GROUP_ROOM_AIR_RECIRCULATION: 'ROOM_AIR_RECIRCULATION',
    GROUP_TEMPERATURE_CONTROL: 'TEMPERATURE_CONTROL',
    GROUP_APARTMENT_VENTILATION: 'APARTMENT_VENTILATION',
    GROUP_VDC: 'VDC',
}

OUTPUT_MODE_DISABLED = 0
OUTPUT_MODE_SWITCHED = 16
OUTPUT_MODE_RMS_DIMMER = 17
OUTPUT_MODE_RMS_DIMMER_WITH_CURVE = 18
OUTPUT_MODE_PHASE_CONTROL_DIMMER = 19
OUTPUT_MODE_PHASE_CONTROL_DIMMER_WITH_CURVE = 20
OUTPUT_MODE_REVERSE_PHASE_CONTROL_DIMMER = 21
OUTPUT_MODE_DIMMABLE = 22
OUTPUT_MODE_PWM_DIMMER = 23
OUTPUT_MODE_PWM_DIMMER_WITH_CURVE = 24
OUTPUT_MODE_POSITIONING_CONTROL = 33
OUTPUT_MODE_DOUBLERELAY_COMBINED_TWO_STEPS = 34
OUTPUT_MODE_DOUBLERELAY_SINGLE = 35
OUTPUT_MODE_DOUBLERELAY_COMBINED_THREE_STEPS = 38
OUTPUT_MODE_RELAY_SWITCHED = 39
OUTPUT_MODE_RELAY_WIPED = 40
OUTPUT_MODE_RELAY_SAVING = 41
OUTPUT_MODE_POSITIONING_CONTROL_UNCALIBRATED = 42
OUTPUT_MODE_DOUBLERELAY_SWITCHED_COMBINED = 43

OUTPUT_MODE_NAMES = {
    OUTPUT_MODE_DIMMABLE: 'DIMMABLE',
    OUTPUT_MODE_DISABLED: 'DISABLED',
    OUTPUT_MODE_PHASE_CONTROL_DIMMER: 'PHASE_CONTROL_DIMMER',
    OUTPUT_MODE_PHASE_CONTROL_DIMMER_WITH_CURVE:
        'PHASE_CONTROL_DIMMER_WITH_CURVE',
    OUTPUT_MODE_POSITIONING_CONTROL: 'POSITIONING_CONTROL',
    OUTPUT_MODE_POSITIONING_CONTROL_UNCALIBRATED:
        'POSITIONING_CONTROL_UNCALIBRATED',
    OUTPUT_MODE_PWM_DIMMER: 'PWM_DIMMER',
    OUTPUT_MODE_PWM_DIMMER_WITH_CURVE: 'PWM_DIMMER_WITH_CURVE',
    OUTPUT_MODE_RELAY_SAVING: 'RELAY_SAVING',
    OUTPUT_MODE_RELAY_SWITCHED: 'RELAY_SWITCHED',
    OUTPUT_MODE_RELAY_WIPED: 'RELAY_WIPED',
    OUTPUT_MODE_REVERSE_PHASE_CONTROL_DIMMER: 'REVERSE_PHASE_CONTROL_DIMMER',
    OUTPUT_MODE_RMS_DIMMER: 'RMS_DIMMER',
    OUTPUT_MODE_RMS_DIMMER_WITH_CURVE: 'RMS_DIMMER_WITH_CURVE',
    OUTPUT_MODE_SWITCHED: 'SWITCHED',
}
